For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
Companies

Upsert company

POST
https://api.schematichq.com/companies
POST
/companies
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.companies.upsertCompany({});
8}
9main();
1{
2 "data": {
3 "add_ons": [
4 {
5 "id": "string",
6 "included_credit_grants": [
7 {
8 "billing_credit_auto_topup_enabled": true,
9 "billing_credit_auto_topup_self_service": true,
10 "created_at": "2024-01-15T09:30:00Z",
11 "credit_amount": 1,
12 "credit_id": "string",
13 "id": "string",
14 "plan_id": "string",
15 "reset_type": "no_reset",
16 "updated_at": "2024-01-15T09:30:00Z",
17 "credit_description": "string",
18 "credit_name": "string",
19 "billing_credit_auto_topup_amount": 1,
20 "billing_credit_auto_topup_amount_type": "string",
21 "billing_credit_auto_topup_expiry_type": "duration",
22 "billing_credit_auto_topup_expiry_unit": "billing_periods",
23 "billing_credit_auto_topup_expiry_unit_count": 1,
24 "billing_credit_auto_topup_threshold_credits": 1,
25 "billing_credit_auto_topup_threshold_percent": 1,
26 "company_auto_topup_amount": 1,
27 "company_auto_topup_enabled": true,
28 "company_auto_topup_threshold_credits": 1,
29 "credit": {
30 "account_id": "string",
31 "burn_strategy": "expiration_priority",
32 "cost_editable": true,
33 "created_at": "2024-01-15T09:30:00Z",
34 "currency_prices": [
35 {
36 "currency": "string",
37 "price": {
38 "billing_scheme": "per_unit",
39 "created_at": "2024-01-15T09:30:00Z",
40 "currency": "string",
41 "id": "string",
42 "interval": "day",
43 "interval_count": 1,
44 "is_active": true,
45 "package_size": 1,
46 "price": 1,
47 "price_external_id": "string",
48 "price_id": "string",
49 "price_tier": [
50 {
51 "flat_amount": 1,
52 "per_unit_price": 1,
53 "per_unit_price_decimal": "string",
54 "up_to": 1
55 }
56 ],
57 "product_external_id": "string",
58 "product_id": "string",
59 "product_name": "string",
60 "provider_type": "orb",
61 "updated_at": "2024-01-15T09:30:00Z",
62 "usage_type": "licensed",
63 "meter_event_name": "string",
64 "meter_event_payload_key": "string",
65 "meter_id": "string",
66 "nickname": "string",
67 "price_decimal": "string",
68 "tiers_mode": "graduated"
69 }
70 }
71 ],
72 "default_expiry_unit": "billing_periods",
73 "default_rollover_policy": "expire",
74 "description": "string",
75 "environment_id": "string",
76 "id": "string",
77 "name": "string",
78 "updated_at": "2024-01-15T09:30:00Z",
79 "default_expiry_unit_count": 1,
80 "icon": "string",
81 "plural_name": "string",
82 "price": {
83 "billing_scheme": "per_unit",
84 "created_at": "2024-01-15T09:30:00Z",
85 "currency": "string",
86 "id": "string",
87 "interval": "day",
88 "interval_count": 1,
89 "is_active": true,
90 "package_size": 1,
91 "price": 1,
92 "price_external_id": "string",
93 "price_id": "string",
94 "price_tier": [
95 {
96 "flat_amount": 1,
97 "per_unit_price": 1,
98 "per_unit_price_decimal": "string",
99 "up_to": 1
100 }
101 ],
102 "product_external_id": "string",
103 "product_id": "string",
104 "product_name": "string",
105 "provider_type": "orb",
106 "updated_at": "2024-01-15T09:30:00Z",
107 "usage_type": "licensed",
108 "meter_event_name": "string",
109 "meter_event_payload_key": "string",
110 "meter_id": "string",
111 "nickname": "string",
112 "price_decimal": "string",
113 "tiers_mode": "graduated"
114 },
115 "price_per_unit": 1,
116 "price_per_unit_decimal": "string",
117 "product": {
118 "account_id": "string",
119 "created_at": "2024-01-15T09:30:00Z",
120 "environment_id": "string",
121 "external_id": "string",
122 "is_active": true,
123 "name": "string",
124 "price": 1.1,
125 "product_id": "string",
126 "provider_type": "orb",
127 "quantity": 1.1,
128 "updated_at": "2024-01-15T09:30:00Z",
129 "price_decimal": "string",
130 "currency": "string"
131 },
132 "singular_name": "string"
133 },
134 "expiry_type": "duration",
135 "expiry_unit": "billing_periods",
136 "expiry_unit_count": 1,
137 "plan": {
138 "id": "string",
139 "name": "string",
140 "description": "string",
141 "image_url": "string"
142 },
143 "plan_version_id": "string",
144 "reset_cadence": "daily",
145 "reset_start": "billing_period",
146 "credit_icon": "string",
147 "plural_name": "string",
148 "singular_name": "string"
149 }
150 ],
151 "name": "string",
152 "added_on": "2024-01-15T09:30:00Z",
153 "billing_product_external_id": "string",
154 "billing_product_id": "string",
155 "description": "string",
156 "image_url": "string",
157 "plan_period": "string",
158 "plan_price": 1,
159 "plan_version_id": "string"
160 }
161 ],
162 "billing_subscriptions": [
163 {
164 "cancel_at_period_end": true,
165 "created_at": "2024-01-15T09:30:00Z",
166 "currency": "string",
167 "customer_external_id": "string",
168 "discounts": [
169 {
170 "coupon_id": "string",
171 "coupon_name": "string",
172 "discount_external_id": "string",
173 "duration": "string",
174 "is_active": true,
175 "started_at": "2024-01-15T09:30:00Z",
176 "subscription_external_id": "string",
177 "amount_off": 1,
178 "currency": "string",
179 "customer_facing_code": "string",
180 "duration_in_months": 1,
181 "ended_at": "2024-01-15T09:30:00Z",
182 "percent_off": 1.1,
183 "promo_code_external_id": "string"
184 }
185 ],
186 "id": "string",
187 "interval": "string",
188 "period_end": 1,
189 "period_start": 1,
190 "products": [
191 {
192 "billing_scheme": "per_unit",
193 "created_at": "2024-01-15T09:30:00Z",
194 "currency": "string",
195 "environment_id": "string",
196 "external_id": "string",
197 "id": "string",
198 "interval": "string",
199 "name": "string",
200 "package_size": 1,
201 "price": 1,
202 "price_external_id": "string",
203 "price_id": "string",
204 "price_tier": [
205 {
206 "flat_amount": 1,
207 "per_unit_price": 1,
208 "per_unit_price_decimal": "string",
209 "up_to": 1
210 }
211 ],
212 "provider_type": "orb",
213 "quantity": 1.1,
214 "subscription_id": "string",
215 "updated_at": "2024-01-15T09:30:00Z",
216 "usage_type": "licensed",
217 "billing_threshold": 1,
218 "interval_count": 1,
219 "meter_id": "string",
220 "price_decimal": "string",
221 "subscription_item_external_id": "string"
222 }
223 ],
224 "provider_type": "orb",
225 "status": "string",
226 "subscription_external_id": "string",
227 "total_price": 1,
228 "application_id": "string",
229 "cancel_at": 1,
230 "company_id": "string",
231 "default_payment_method_id": "string",
232 "expired_at": "2024-01-15T09:30:00Z",
233 "latest_invoice": {
234 "amount_due": 1,
235 "amount_paid": 1,
236 "amount_remaining": 1,
237 "collection_method": "string",
238 "created_at": "2024-01-15T09:30:00Z",
239 "currency": "string",
240 "customer_external_id": "string",
241 "environment_id": "string",
242 "id": "string",
243 "provider_type": "orb",
244 "subtotal": 1,
245 "updated_at": "2024-01-15T09:30:00Z",
246 "company_id": "string",
247 "due_date": "2024-01-15T09:30:00Z",
248 "external_id": "string",
249 "payment_method_external_id": "string",
250 "status": "draft",
251 "subscription_external_id": "string",
252 "url": "string"
253 },
254 "metadata": {},
255 "payment_method": {
256 "created_at": "2024-01-15T09:30:00Z",
257 "customer_external_id": "string",
258 "environment_id": "string",
259 "external_id": "string",
260 "id": "string",
261 "payment_method_type": "string",
262 "provider_type": "orb",
263 "updated_at": "2024-01-15T09:30:00Z",
264 "account_last4": "string",
265 "account_name": "string",
266 "bank_name": "string",
267 "billing_email": "string",
268 "billing_name": "string",
269 "card_brand": "string",
270 "card_exp_month": 1,
271 "card_exp_year": 1,
272 "card_last4": "string",
273 "company_id": "string"
274 },
275 "trial_end": 1,
276 "trial_end_setting": "cancel"
277 }
278 ],
279 "created_at": "2024-01-15T09:30:00Z",
280 "custom_plan_billings": [
281 {
282 "activation_strategy": "on_payment",
283 "company_id": "string",
284 "created_at": "2024-01-15T09:30:00Z",
285 "days_until_due": 1,
286 "id": "string",
287 "plan_id": "string",
288 "status": "active",
289 "updated_at": "2024-01-15T09:30:00Z",
290 "paid_at": "2024-01-15T09:30:00Z",
291 "published_at": "2024-01-15T09:30:00Z",
292 "stripe_invoice_url": "string"
293 }
294 ],
295 "entitlements": [
296 {
297 "feature_id": "string",
298 "feature_key": "string",
299 "value_type": "boolean",
300 "allocation": 1,
301 "credit_id": "string",
302 "credit_remaining": 1.1,
303 "credit_total": 1.1,
304 "credit_used": 1.1,
305 "event_name": "string",
306 "metric_period": "all_time",
307 "metric_reset_at": "2024-01-15T09:30:00Z",
308 "month_reset": "billing_cycle",
309 "soft_limit": 1,
310 "usage": 1
311 }
312 ],
313 "entity_traits": [
314 {
315 "created_at": "2024-01-15T09:30:00Z",
316 "definition_id": "string",
317 "environment_id": "string",
318 "id": "string",
319 "updated_at": "2024-01-15T09:30:00Z",
320 "value": "string",
321 "definition": {
322 "created_at": "2024-01-15T09:30:00Z",
323 "display_name": "string",
324 "entity_type": "company",
325 "hierarchy": [
326 "string"
327 ],
328 "id": "string",
329 "trait_type": "boolean",
330 "updated_at": "2024-01-15T09:30:00Z"
331 }
332 }
333 ],
334 "environment_id": "string",
335 "id": "string",
336 "keys": [
337 {
338 "created_at": "2024-01-15T09:30:00Z",
339 "definition_id": "string",
340 "entity_id": "string",
341 "entity_type": "company",
342 "environment_id": "string",
343 "id": "string",
344 "key": "string",
345 "updated_at": "2024-01-15T09:30:00Z",
346 "value": "string",
347 "definition": {
348 "created_at": "2024-01-15T09:30:00Z",
349 "entity_type": "company",
350 "id": "string",
351 "key": "string",
352 "updated_at": "2024-01-15T09:30:00Z"
353 }
354 }
355 ],
356 "metrics": [
357 {
358 "account_id": "string",
359 "captured_at_max": "2024-01-15T09:30:00Z",
360 "captured_at_min": "2024-01-15T09:30:00Z",
361 "company_id": "string",
362 "created_at": "2024-01-15T09:30:00Z",
363 "environment_id": "string",
364 "event_subtype": "string",
365 "month_reset": "billing_cycle",
366 "period": "all_time",
367 "value": 1,
368 "valid_until": "2024-01-15T09:30:00Z"
369 }
370 ],
371 "name": "string",
372 "payment_methods": [
373 {
374 "created_at": "2024-01-15T09:30:00Z",
375 "customer_external_id": "string",
376 "environment_id": "string",
377 "external_id": "string",
378 "id": "string",
379 "payment_method_type": "string",
380 "provider_type": "orb",
381 "updated_at": "2024-01-15T09:30:00Z",
382 "account_last4": "string",
383 "account_name": "string",
384 "bank_name": "string",
385 "billing_email": "string",
386 "billing_name": "string",
387 "card_brand": "string",
388 "card_exp_month": 1,
389 "card_exp_year": 1,
390 "card_last4": "string",
391 "company_id": "string"
392 }
393 ],
394 "plans": [
395 {
396 "id": "string",
397 "name": "string",
398 "description": "string",
399 "image_url": "string"
400 }
401 ],
402 "rules": [
403 {
404 "account_id": "string",
405 "condition_groups": [
406 {
407 "conditions": [
408 {
409 "account_id": "string",
410 "condition_type": "base_plan",
411 "environment_id": "string",
412 "id": "string",
413 "operator": "eq",
414 "resource_ids": [
415 "string"
416 ],
417 "trait_value": "string",
418 "comparison_trait_definition": {
419 "comparable_type": "bool",
420 "entity_type": "company",
421 "id": "string"
422 },
423 "consumption_rate": 1.1,
424 "credit_id": "string",
425 "event_subtype": "string",
426 "metric_period": "all_time",
427 "metric_period_month_reset": "billing_cycle",
428 "metric_value": 1,
429 "trait_definition": {
430 "comparable_type": "bool",
431 "entity_type": "company",
432 "id": "string"
433 }
434 }
435 ]
436 }
437 ],
438 "conditions": [
439 {
440 "account_id": "string",
441 "condition_type": "base_plan",
442 "environment_id": "string",
443 "id": "string",
444 "operator": "eq",
445 "resource_ids": [
446 "string"
447 ],
448 "trait_value": "string",
449 "comparison_trait_definition": {
450 "comparable_type": "bool",
451 "entity_type": "company",
452 "id": "string"
453 },
454 "consumption_rate": 1.1,
455 "credit_id": "string",
456 "event_subtype": "string",
457 "metric_period": "all_time",
458 "metric_period_month_reset": "billing_cycle",
459 "metric_value": 1,
460 "trait_definition": {
461 "comparable_type": "bool",
462 "entity_type": "company",
463 "id": "string"
464 }
465 }
466 ],
467 "environment_id": "string",
468 "id": "string",
469 "name": "string",
470 "priority": 1,
471 "rule_type": "company_override",
472 "value": true,
473 "flag_id": "string"
474 }
475 ],
476 "updated_at": "2024-01-15T09:30:00Z",
477 "user_count": 1,
478 "billing_credit_balances": {},
479 "billing_subscription": {
480 "cancel_at_period_end": true,
481 "created_at": "2024-01-15T09:30:00Z",
482 "currency": "string",
483 "customer_external_id": "string",
484 "discounts": [
485 {
486 "coupon_id": "string",
487 "coupon_name": "string",
488 "discount_external_id": "string",
489 "duration": "string",
490 "is_active": true,
491 "started_at": "2024-01-15T09:30:00Z",
492 "subscription_external_id": "string",
493 "amount_off": 1,
494 "currency": "string",
495 "customer_facing_code": "string",
496 "duration_in_months": 1,
497 "ended_at": "2024-01-15T09:30:00Z",
498 "percent_off": 1.1,
499 "promo_code_external_id": "string"
500 }
501 ],
502 "id": "string",
503 "interval": "string",
504 "period_end": 1,
505 "period_start": 1,
506 "products": [
507 {
508 "billing_scheme": "per_unit",
509 "created_at": "2024-01-15T09:30:00Z",
510 "currency": "string",
511 "environment_id": "string",
512 "external_id": "string",
513 "id": "string",
514 "interval": "string",
515 "name": "string",
516 "package_size": 1,
517 "price": 1,
518 "price_external_id": "string",
519 "price_id": "string",
520 "price_tier": [
521 {
522 "flat_amount": 1,
523 "per_unit_price": 1,
524 "per_unit_price_decimal": "string",
525 "up_to": 1
526 }
527 ],
528 "provider_type": "orb",
529 "quantity": 1.1,
530 "subscription_id": "string",
531 "updated_at": "2024-01-15T09:30:00Z",
532 "usage_type": "licensed",
533 "billing_threshold": 1,
534 "interval_count": 1,
535 "meter_id": "string",
536 "price_decimal": "string",
537 "subscription_item_external_id": "string"
538 }
539 ],
540 "provider_type": "orb",
541 "status": "string",
542 "subscription_external_id": "string",
543 "total_price": 1,
544 "application_id": "string",
545 "cancel_at": 1,
546 "company_id": "string",
547 "default_payment_method_id": "string",
548 "expired_at": "2024-01-15T09:30:00Z",
549 "latest_invoice": {
550 "amount_due": 1,
551 "amount_paid": 1,
552 "amount_remaining": 1,
553 "collection_method": "string",
554 "created_at": "2024-01-15T09:30:00Z",
555 "currency": "string",
556 "customer_external_id": "string",
557 "environment_id": "string",
558 "id": "string",
559 "provider_type": "orb",
560 "subtotal": 1,
561 "updated_at": "2024-01-15T09:30:00Z",
562 "company_id": "string",
563 "due_date": "2024-01-15T09:30:00Z",
564 "external_id": "string",
565 "payment_method_external_id": "string",
566 "status": "draft",
567 "subscription_external_id": "string",
568 "url": "string"
569 },
570 "metadata": {},
571 "payment_method": {
572 "created_at": "2024-01-15T09:30:00Z",
573 "customer_external_id": "string",
574 "environment_id": "string",
575 "external_id": "string",
576 "id": "string",
577 "payment_method_type": "string",
578 "provider_type": "orb",
579 "updated_at": "2024-01-15T09:30:00Z",
580 "account_last4": "string",
581 "account_name": "string",
582 "bank_name": "string",
583 "billing_email": "string",
584 "billing_name": "string",
585 "card_brand": "string",
586 "card_exp_month": 1,
587 "card_exp_year": 1,
588 "card_last4": "string",
589 "company_id": "string"
590 },
591 "trial_end": 1,
592 "trial_end_setting": "cancel"
593 },
594 "default_payment_method": {
595 "created_at": "2024-01-15T09:30:00Z",
596 "customer_external_id": "string",
597 "environment_id": "string",
598 "external_id": "string",
599 "id": "string",
600 "payment_method_type": "string",
601 "provider_type": "orb",
602 "updated_at": "2024-01-15T09:30:00Z",
603 "account_last4": "string",
604 "account_name": "string",
605 "bank_name": "string",
606 "billing_email": "string",
607 "billing_name": "string",
608 "card_brand": "string",
609 "card_exp_month": 1,
610 "card_exp_year": 1,
611 "card_last4": "string",
612 "company_id": "string"
613 },
614 "last_seen_at": "2024-01-15T09:30:00Z",
615 "logo_url": "string",
616 "plan": {
617 "id": "string",
618 "included_credit_grants": [
619 {
620 "billing_credit_auto_topup_enabled": true,
621 "billing_credit_auto_topup_self_service": true,
622 "created_at": "2024-01-15T09:30:00Z",
623 "credit_amount": 1,
624 "credit_id": "string",
625 "id": "string",
626 "plan_id": "string",
627 "reset_type": "no_reset",
628 "updated_at": "2024-01-15T09:30:00Z",
629 "credit_description": "string",
630 "credit_name": "string",
631 "billing_credit_auto_topup_amount": 1,
632 "billing_credit_auto_topup_amount_type": "string",
633 "billing_credit_auto_topup_expiry_type": "duration",
634 "billing_credit_auto_topup_expiry_unit": "billing_periods",
635 "billing_credit_auto_topup_expiry_unit_count": 1,
636 "billing_credit_auto_topup_threshold_credits": 1,
637 "billing_credit_auto_topup_threshold_percent": 1,
638 "company_auto_topup_amount": 1,
639 "company_auto_topup_enabled": true,
640 "company_auto_topup_threshold_credits": 1,
641 "credit": {
642 "account_id": "string",
643 "burn_strategy": "expiration_priority",
644 "cost_editable": true,
645 "created_at": "2024-01-15T09:30:00Z",
646 "currency_prices": [
647 {
648 "currency": "string",
649 "price": {
650 "billing_scheme": "per_unit",
651 "created_at": "2024-01-15T09:30:00Z",
652 "currency": "string",
653 "id": "string",
654 "interval": "day",
655 "interval_count": 1,
656 "is_active": true,
657 "package_size": 1,
658 "price": 1,
659 "price_external_id": "string",
660 "price_id": "string",
661 "price_tier": [
662 {
663 "flat_amount": 1,
664 "per_unit_price": 1,
665 "per_unit_price_decimal": "string",
666 "up_to": 1
667 }
668 ],
669 "product_external_id": "string",
670 "product_id": "string",
671 "product_name": "string",
672 "provider_type": "orb",
673 "updated_at": "2024-01-15T09:30:00Z",
674 "usage_type": "licensed",
675 "meter_event_name": "string",
676 "meter_event_payload_key": "string",
677 "meter_id": "string",
678 "nickname": "string",
679 "price_decimal": "string",
680 "tiers_mode": "graduated"
681 }
682 }
683 ],
684 "default_expiry_unit": "billing_periods",
685 "default_rollover_policy": "expire",
686 "description": "string",
687 "environment_id": "string",
688 "id": "string",
689 "name": "string",
690 "updated_at": "2024-01-15T09:30:00Z",
691 "default_expiry_unit_count": 1,
692 "icon": "string",
693 "plural_name": "string",
694 "price": {
695 "billing_scheme": "per_unit",
696 "created_at": "2024-01-15T09:30:00Z",
697 "currency": "string",
698 "id": "string",
699 "interval": "day",
700 "interval_count": 1,
701 "is_active": true,
702 "package_size": 1,
703 "price": 1,
704 "price_external_id": "string",
705 "price_id": "string",
706 "price_tier": [
707 {
708 "flat_amount": 1,
709 "per_unit_price": 1,
710 "per_unit_price_decimal": "string",
711 "up_to": 1
712 }
713 ],
714 "product_external_id": "string",
715 "product_id": "string",
716 "product_name": "string",
717 "provider_type": "orb",
718 "updated_at": "2024-01-15T09:30:00Z",
719 "usage_type": "licensed",
720 "meter_event_name": "string",
721 "meter_event_payload_key": "string",
722 "meter_id": "string",
723 "nickname": "string",
724 "price_decimal": "string",
725 "tiers_mode": "graduated"
726 },
727 "price_per_unit": 1,
728 "price_per_unit_decimal": "string",
729 "product": {
730 "account_id": "string",
731 "created_at": "2024-01-15T09:30:00Z",
732 "environment_id": "string",
733 "external_id": "string",
734 "is_active": true,
735 "name": "string",
736 "price": 1.1,
737 "product_id": "string",
738 "provider_type": "orb",
739 "quantity": 1.1,
740 "updated_at": "2024-01-15T09:30:00Z",
741 "price_decimal": "string",
742 "currency": "string"
743 },
744 "singular_name": "string"
745 },
746 "expiry_type": "duration",
747 "expiry_unit": "billing_periods",
748 "expiry_unit_count": 1,
749 "plan": {
750 "id": "string",
751 "name": "string",
752 "description": "string",
753 "image_url": "string"
754 },
755 "plan_version_id": "string",
756 "reset_cadence": "daily",
757 "reset_start": "billing_period",
758 "credit_icon": "string",
759 "plural_name": "string",
760 "singular_name": "string"
761 }
762 ],
763 "name": "string",
764 "added_on": "2024-01-15T09:30:00Z",
765 "billing_product_external_id": "string",
766 "billing_product_id": "string",
767 "description": "string",
768 "image_url": "string",
769 "plan_period": "string",
770 "plan_price": 1,
771 "plan_version_id": "string"
772 },
773 "scheduled_downgrade": {
774 "currency": "string",
775 "effective_after": "2024-01-15T09:30:00Z",
776 "from_plan_id": "string",
777 "from_plan_name": "string",
778 "from_subscription_price": 1,
779 "id": "string",
780 "interval": "string",
781 "to_plan_id": "string",
782 "to_plan_name": "string",
783 "scheduled_interval": "string",
784 "scheduled_price": 1
785 },
786 "traits": {}
787 },
788 "params": {}
789}
Was this page helpful?
Previous

Lookup company

Next
Built with

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Request

This endpoint expects an object.
keysmap from strings to stringsRequired

See Key Management for more information

idstring or nullOptional
If you know the Schematic ID, you can use that here instead of keys
last_seen_atdatetime or nullOptional
namestring or nullOptional<=256 characters
prevent_key_remapboolean or nullOptional
traitsobjectOptional
A map of trait names to trait values
update_onlyboolean or nullOptional

Response

OK
dataobject
paramsobject
Input parameters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error